org.apache.mina.example.netcat

## Class NetCatProtocolHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.apache.mina.example.netcat.NetCatProtocolHandler

- All Implemented Interfaces:
    IoHandler

      public class NetCatProtocolHandler
      extends IoHandlerAdapter

  `IoHandler` implementation for NetCat client. This class extended `IoHandlerAdapter` for convenience.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetCatProtocolHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `messageReceived(IoSession session, Object message)` Invoked when a message is received.
    `void` | `sessionClosed(IoSession session)` Invoked when a connection is closed.
    `void` | `sessionIdle(IoSession session, IdleStatus status)` Invoked with the related `IdleStatus` when a connection becomes idle.
    `void` | `sessionOpened(IoSession session)` Invoked when a connection has been opened.

    - ### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

      `exceptionCaught, messageSent, sessionCreated`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetCatProtocolHandler

          public NetCatProtocolHandler()

  - ### Method Detail

    - #### sessionOpened

          public void sessionOpened(IoSession session)

      Description copied from interface: `IoHandler`
      Invoked when a connection has been opened. This method is invoked after `IoHandler.sessionCreated(IoSession)`. The biggest difference from `IoHandler.sessionCreated(IoSession)` is that it's invoked from other thread than an I/O processor thread once thread model is configured properly.
      Specified by:
        `sessionOpened` in interface `IoHandler`
      Overrides:
        `sessionOpened` in class `IoHandlerAdapter`

    - #### sessionClosed

          public void sessionClosed(IoSession session)

      Description copied from interface: `IoHandler`
      Invoked when a connection is closed.
      Specified by:
        `sessionClosed` in interface `IoHandler`
      Overrides:
        `sessionClosed` in class `IoHandlerAdapter`

    - #### sessionIdle

          public void sessionIdle(IoSession session,
                         IdleStatus status)

      Description copied from interface: `IoHandler`
      Invoked with the related `IdleStatus` when a connection becomes idle. This method is not invoked if the transport type is UDP; it's a known bug, and will be fixed in 2.0.
      Specified by:
        `sessionIdle` in interface `IoHandler`
      Overrides:
        `sessionIdle` in class `IoHandlerAdapter`

    - #### messageReceived

          public void messageReceived(IoSession session,
                             Object message)

      Description copied from interface: `IoHandler`
      Invoked when a message is received.
      Specified by:
        `messageReceived` in interface `IoHandler`
      Overrides:
        `messageReceived` in class `IoHandlerAdapter`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.